LibreOffice: XImageControl Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
XImageControl Interface Reference
Inheritance diagram for XImageControl:

## Exported Interfaces
interface | XReportControlModel
interface | com::sun::star::form::XImageProducerSupplier
| supplies the caller with a com::sun::star::awt::XImageProducer.
Exported Interfaces inherited from XReportControlModel
interface | XReportComponent
| allows the creation of sub reports.
interface | XReportControlFormat
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container.
interface | com::sun::star::container::XIndexContainer
| gives access to the com::sun::star::report::XFormatCondition elements by index.
Exported Interfaces inherited from XReportComponent
interface | com::sun::star::util::XCloneable
interface | com::sun::star::container::XChild
| identifies the component as a candidate for being part of a report.
interface | com::sun::star::lang::XComponent
| allows life-time control of report components.
interface | com::sun::star::drawing::XShape
interface | com::sun::star::beans::XPropertySet
| gives access to the properties.

## Public Attributes
string | ImageURL
| specifies a URL to an image to use for the control.
short | ScaleMode
| defines how to scale the image
boolean | PreserveIRI
| Specifies that the IRI given in the data field should be preserved, otherwise the content will be inserted in the resulting report document.
Public Attributes inherited from XReportControlModel
string | DataField
| Specifies which content should be shown.
boolean | PrintWhenGroupChange
| Specifies that the element gets printed when the group changes.
string | ConditionalPrintExpression
| Describes the print expression of the report control model.
Public Attributes inherited from XReportComponent
string | Name
| the name of the component.
long | Height
| specifies the height of the control.
long | PositionX
| specifies the horizontal position of the control.
long | PositionY
| specifies the vertical position of the control.
long | Width
| specifies the width of the control.
boolean | AutoGrow
| Specifies that the control containing data shall automatically grow to the optimal height to show the data without wasting space.
short | ControlBorder
| specifies the border style of the control.
long | ControlBorderColor
| specifies the color of the border, if present
boolean | PrintRepeatedValues
| Specifies that recurring values are printed.
com::sun::star::report::XSection | Section
| Specifies the section where the control belongs to.
Public Attributes inherited from XReportControlFormat
com::sun::star::util::Color | ControlBackground
| specifies the background color (RGB) of the control.
boolean | ControlBackgroundTransparent
| determines if the background color is set to transparent.
short | ParaAdjust
| specifies the horizontal alignment of the text.
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorAsian
| specifies the font attributes of the text in the control.
com::sun::star::awt::FontDescriptor | FontDescriptorComplex
| specifies the font attributes of the text in the control.
short | ControlTextEmphasis
| specifies the com::sun::star::text::FontEmphasis value of the text in the control.
short | CharEmphasis
| contains the font emphasis value as com::sun::star::text::FontEmphasis.
boolean | CharCombineIsOn
| determines whether text is formatted in two lines.
string | CharCombinePrefix
| contains the prefix (usually parenthesis) before text that is formatted in two lines.
string | CharCombineSuffix
| contains the suffix (usually parenthesis) after text that is formatted in two lines.
boolean | CharHidden
| If this optional property is `TRUE`, then the characters are invisible.
boolean | CharShadowed
| specifies if the characters are formatted and displayed with a shadow effect.
boolean | CharContoured
| specifies if the characters are formatted and displayed with a contour effect.
short | CharCaseMap
| optional property which contains the value of the case-mapping of the text for formatting and displaying.
com::sun::star::lang::Locale | CharLocale
| contains the value of the locale.
short | CharEscapement
| specifies the percentage by which to raise/lower superscript/subscript characters.
byte | CharEscapementHeight
| This is the additional height used for subscript or superscript characters in units of percent.
boolean | CharAutoKerning
| optional property to determine whether the kerning tables from the current font are used.
short | CharKerning
| optional property which contains the value of the kerning of the characters.
boolean | CharFlash
| If this optional property is `TRUE`, then the characters are flashing.
short | CharRelief
| specifies the com::sun::star::text::FontRelief value of the text in the control.
string | CharFontName
| This attribute specifies the name of the font style.
string | CharFontStyleName
| This attribute contains the name of the font style.
short | CharFontFamily
| This attribute contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSet
| This attribute contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitch
| This attribute contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::util::Color | CharColor
| specifies the text color (RGB) of the control.
com::sun::star::util::Color | CharUnderlineColor
| specifies the text line color (RGB) of the control.
float | CharHeight
| This value contains the height of the characters in point.
short | CharUnderline
| This attribute contains the value for the character underline.
float | CharWeight
| This attribute contains the value of the font weight.
com::sun::star::awt::FontSlant | CharPosture
| This attribute contains the value of the posture of the document.
short | CharStrikeout
| determines the type of the strike out of the character.
boolean | CharWordMode
| If this attribute is `TRUE`, the underline and strike-through properties are not applied to white spaces.
short | CharRotation
| determines the rotation of a character in degree.
short | CharScaleWidth
| determines the percentage value for scaling the width of characters.
com::sun::star::style::VerticalAlignment | VerticalAlign
| specifies the vertical alignment of the text in the control.
string | HyperLinkURL
| contains the URL of a hyperlink (if set).
string | HyperLinkTarget
| contains the name of the target for a hyperlink (if set).
string | HyperLinkName
| contains the name of the hyperlink (if set).
string | VisitedCharStyleName
| contains the character style name for visited hyperlinks.
string | UnvisitedCharStyleName
| contains the character style name for unvisited hyperlinks.
float | CharHeightAsian
| This value contains the height of the characters in point.
float | CharWeightAsian
| This property contains the value of the font weight.
string | CharFontNameAsian
| This property specifies the name of the font style.
string | CharFontStyleNameAsian
| This property contains the name of the font style.
short | CharFontFamilyAsian
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetAsian
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchAsian
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureAsian
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the value of the locale.
float | CharHeightComplex
| This value contains the height of the characters in point.
float | CharWeightComplex
| This property contains the value of the font weight.
string | CharFontNameComplex
| This property specifies the name of the font style.
string | CharFontStyleNameComplex
| This property contains the name of the font style.
short | CharFontFamilyComplex
| This property contains font family as specified in com.sun.star.awt.FontFamily .
short | CharFontCharSetComplex
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet.
short | CharFontPitchComplex
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch.
com::sun::star::awt::FontSlant | CharPostureComplex
| This property contains the value of the posture of the document.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the value of the locale.

## Additional Inherited Members
Public Types inherited from XReportComponent
typedef sequence< string > | MasterFields
| is used for subreports and contains the names of columns of the parent report.
typedef sequence< string > | DetailFields
| is used for subreports and contains the names of the columns of the subreport which are related to the master fields of the parent report.
Public Member Functions inherited from XReportControlModel
XFormatCondition | createFormatCondition () raises ( com::sun::star::uno::Exception )
| Creates a format condition.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XImageProducerSupplier
com::sun::star::awt::XImageProducer | getImageProducer ()
| accesses the image producer.

## Exported Interfaces

## ◆ com::sun::star::form::XImageProducerSupplier

interface com::sun::star::form::XImageProducerSupplier

supplies the caller with a com::sun::star::awt::XImageProducer.

Other components can register as com::sun::star::awt::XImageConsumer at this producer. Then they will be notified of any change in the image to be displayed.

Whenever the com::sun::star::awt::UnoControlImageControlModel::ImageURL property is changed, the model loads the specified image, and sets it as image source at its com::sun::star::awt::XImageProducer. Then, all com::sun::star::awt::XImageConsumers are notified and supplied with the binary data of the image.
Usually, controls acting for an ImageControl model are consumers, and use the data stream to display the image

## ◆ XReportControlModel

interface XReportControlModel

## Member Data Documentation

## ◆ ImageURL

string ImageURL
| attributebound

specifies a URL to an image to use for the control.

## ◆ PreserveIRI

boolean PreserveIRI
| attributebound

Specifies that the IRI given in the data field should be preserved, otherwise the content will be inserted in the resulting report document.

If the data field contains something different as string then this attribute will be ignored.

## ◆ ScaleMode

short ScaleMode
set raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |
| attributebound

defines how to scale the image

If this property is present, it supersedes the ScaleImage property.

The value of this property is one of the com::sun::star::awt::ImageScaleMode constants.

Since
  OOo 3.2

The documentation for this interface was generated from the following file:

- com/sun/star/report/XImageControl.idl